跳转到内容

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
下载 OpenAPI 描述
语言
服务器
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/zh/api/catalog/
操作
操作
操作
操作
操作
操作
操作

按指定组ID获取捆绑包列表Server-sideAdmin

请求

获取组中的捆绑包列表以进行管理。

注意

不要使用此端点来构建商店目录。
安全
basicAuth
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
group_idinteger必需

组ID。

示例: 10
查询
limitinteger>= 1

页面上元素数量的限制。

示例: limit=50
offsetinteger>= 0

元素编号,从该元素开始生成列表(从0开始数)。

示例: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/bundle/group/id/10?limit=50&offset=0'

响应

捆绑包列表已成功接收。

正文application/json
itemsArray of objects(Bundles_admin_bundle_response)
items[].​attributesArray of objects(Bundles_admin-attributes)

属性列表。

示例: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$必需

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

示例: "attribute_external_id"
items[].​attributes[].​nameobject(admin-attribute-name)

包含本地化属性名称的对象。编码按照ISO 3166-1的规定。

示例: {"de":"Attributname","en":"Attribute name"}
items[].​attributes[].​name.​property name*string附加属性
items[].​attributes[].​valuesArray of objects(attribute-value)必需
示例: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$必需

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

示例: "value_external_id"
items[].​attributes[].​values[].​valueobject(value-name)必需

包含本地化值名称的对象。编码按照ISO 3166-1的规定。

items[].​attributes[].​values[].​value.​property name*string附加属性
items[].​bundle_typestring(bundle_type)

捆绑类型。商品类型是捆绑包时返回。

枚举"standard""virtual_currency_package""partner_side_content"
items[].​contentArray of objects(Bundles_admin_content_response)
items[].​content[].​description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

包含本地化商品描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​content[].​description.​arstring or null

阿拉伯语

items[].​content[].​description.​bgstring or null

保加利亚语

items[].​content[].​description.​cnstring or null

中文(简体)

items[].​content[].​description.​csstring or null

捷克语

items[].​content[].​description.​destring or null

德语

items[].​content[].​description.​enstring or null

英语

items[].​content[].​description.​esstring or null

西班牙语(西班牙)

items[].​content[].​description.​frstring or null

法语

items[].​content[].​description.​hestring or null

希伯来语

items[].​content[].​description.​idstring or null

印度尼西亚语

items[].​content[].​description.​itstring or null

意大利语

items[].​content[].​description.​jastring or null

日语

items[].​content[].​description.​kmstring or null

高棉语

items[].​content[].​description.​kostring or null

韩语

items[].​content[].​description.​lostring or null

老挝语

items[].​content[].​description.​mystring or null

缅甸语

items[].​content[].​description.​nestring or null

尼泊尔语

items[].​content[].​description.​phstring or null

菲律宾语

items[].​content[].​description.​plstring or null

波兰语

items[].​content[].​description.​ptstring or null

葡萄牙语

items[].​content[].​description.​rostring or null

罗马尼亚语

items[].​content[].​description.​rustring or null

俄语

items[].​content[].​description.​thstring or null

泰语

items[].​content[].​description.​trstring or null

土耳其语

items[].​content[].​description.​twstring or null

中文(繁体)

items[].​content[].​description.​vistring or null

越南语

items[].​content[].​image_urlstring or null(Bundles_image_url)

图像URL。

items[].​content[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

包含商品本地化名称的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的语言代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​content[].​name.​arstring or null

阿拉伯语

items[].​content[].​name.​bgstring or null

保加利亚语

items[].​content[].​name.​cnstring or null

中文(简体)

items[].​content[].​name.​csstring or null

捷克语

items[].​content[].​name.​destring or null

德语

items[].​content[].​name.​enstring or null

英语

items[].​content[].​name.​esstring or null

西班牙语(西班牙)

items[].​content[].​name.​frstring or null

法语

items[].​content[].​name.​hestring or null

希伯来语

items[].​content[].​name.​idstring or null

印度尼西亚语

items[].​content[].​name.​itstring or null

意大利语

items[].​content[].​name.​jastring or null

日语

items[].​content[].​name.​kmstring or null

高棉语

items[].​content[].​name.​kostring or null

韩语

items[].​content[].​name.​lostring or null

老挝语

items[].​content[].​name.​mystring or null

缅甸语

items[].​content[].​name.​nestring or null

尼泊尔语

items[].​content[].​name.​phstring or null

菲律宾语

items[].​content[].​name.​plstring or null

波兰语

items[].​content[].​name.​ptstring or null

葡萄牙语

items[].​content[].​name.​rostring or null

罗马尼亚语

items[].​content[].​name.​rustring or null

俄语

items[].​content[].​name.​thstring or null

泰语

items[].​content[].​name.​trstring or null

土耳其语

items[].​content[].​name.​twstring or null

中文(繁体)

items[].​content[].​name.​vistring or null

越南语

items[].​content[].​quantityinteger>= 1

商品类型在捆绑包中的数量。

默认值 1
items[].​content[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

items[].​content[].​typestring(Bundles_type)

商品类型。

items[].​custom_attributesobject(json)(item-custom-attributes-response)

包含商品属性和值的JSON对象。

items[].​description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

包含本地化商品描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​description.​arstring or null

阿拉伯语

items[].​description.​bgstring or null

保加利亚语

items[].​description.​cnstring or null

中文(简体)

items[].​description.​csstring or null

捷克语

items[].​description.​destring or null

德语

items[].​description.​enstring or null

英语

items[].​description.​esstring or null

西班牙语(西班牙)

items[].​description.​frstring or null

法语

items[].​description.​hestring or null

希伯来语

items[].​description.​idstring or null

印度尼西亚语

items[].​description.​itstring or null

意大利语

items[].​description.​jastring or null

日语

items[].​description.​kmstring or null

高棉语

items[].​description.​kostring or null

韩语

items[].​description.​lostring or null

老挝语

items[].​description.​mystring or null

缅甸语

items[].​description.​nestring or null

尼泊尔语

items[].​description.​phstring or null

菲律宾语

items[].​description.​plstring or null

波兰语

items[].​description.​ptstring or null

葡萄牙语

items[].​description.​rostring or null

罗马尼亚语

items[].​description.​rustring or null

俄语

items[].​description.​thstring or null

泰语

items[].​description.​trstring or null

土耳其语

items[].​description.​twstring or null

中文(繁体)

items[].​description.​vistring or null

越南语

items[].​groupsArray of objects(Bundles_groups_response)

商品所属分组。

items[].​groups[].​external_idstring
示例: "horror"
items[].​groups[].​nameobject

商品名称。应包含键/值对, 其中键是"^[a-z]{2}"格式的区域设置,值是字符串。

默认值 {"en":"Horror"}
示例: {"de":"Horror","en":"Horror"}
items[].​groups[].​name.​property name*string附加属性
items[].​image_urlstring or null(Bundles_image_url)

图像URL。

items[].​is_enabledboolean(Bundles_is_enabled)

如果禁用,则无法找到和购买该商品。

items[].​is_freeboolean(value-is_free)

该商品是否免费。

items[].​is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

该商品是否为随机付费奖励,例如宝箱。

items[].​is_show_in_storeboolean(Bundles_is_show_in_store)

商品可供购买。

items[].​item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

内部唯一物品ID。

items[].​limitsobject or null(admin-item-limit-response)

商品限制。

items[].​limits.​per_itemobject or null

全局商品限制。

items[].​limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

items[].​limits.​per_item.​reservedinteger
items[].​limits.​per_item.​soldinteger
items[].​limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

items[].​limits.​per_userobject or null

用于单独用户的商品限制。

items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
items[].​limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

items[].​limits.​recurrent_scheduleobject or null(admin_recurrent_schedule_response)

限制次数刷新周期。

items[].​limits.​recurrent_schedule.​per_userinterval_type = daily (object) or interval_type = weekly (object) or interval_type = monthly (object) or interval_type = hourly (object)

用户限制刷新周期。

One of:

每天类型的用户限制次数刷新。

items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

应重置限制次数的日期和时间 (ISO 8601)。

示例: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

第一次限制次数刷新的日期和时间 (ISO 8601)。

示例: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​interval_typestring

循环刷新周期类型。

"daily"
items[].​limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

限制次数刷新的日期和时间(Unix时间戳)。

示例: 1677553200
items[].​limits.​recurrent_schedule.​per_user.​timestring(full-time)

所需时区的限制次数刷新时间(四舍五入到小时)。

示例: "11:00:00+03:00"
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

包含商品详细本地化描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​long_description.​arstring or null

阿拉伯语

items[].​long_description.​bgstring or null

保加利亚语

items[].​long_description.​cnstring or null

中文(简体)

items[].​long_description.​csstring or null

捷克语

items[].​long_description.​destring or null

德语

items[].​long_description.​enstring or null

英语

items[].​long_description.​esstring or null

西班牙语(西班牙)

items[].​long_description.​frstring or null

法语

items[].​long_description.​hestring or null

希伯来语

items[].​long_description.​idstring or null

印度尼西亚语

items[].​long_description.​itstring or null

意大利语

items[].​long_description.​jastring or null

日语

items[].​long_description.​kmstring or null

高棉语

items[].​long_description.​kostring or null

韩语

items[].​long_description.​lostring or null

老挝语

items[].​long_description.​mystring or null

缅甸语

items[].​long_description.​nestring or null

尼泊尔语

items[].​long_description.​phstring or null

菲律宾语

items[].​long_description.​plstring or null

波兰语

items[].​long_description.​ptstring or null

葡萄牙语

items[].​long_description.​rostring or null

罗马尼亚语

items[].​long_description.​rustring or null

俄语

items[].​long_description.​thstring or null

泰语

items[].​long_description.​trstring or null

土耳其语

items[].​long_description.​twstring or null

中文(繁体)

items[].​long_description.​vistring or null

越南语

items[].​media_listArray of Bundles_media_list (objects) or null
Any of:

捆绑包的附加资源。

items[].​media_list[].​typestring

媒体类型:image/video

枚举"image""video"
示例: "image"
items[].​media_list[].​urlstring

资源文件。

示例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

包含商品本地化名称的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的语言代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​name.​arstring or null

阿拉伯语

items[].​name.​bgstring or null

保加利亚语

items[].​name.​cnstring or null

中文(简体)

items[].​name.​csstring or null

捷克语

items[].​name.​destring or null

德语

items[].​name.​enstring or null

英语

items[].​name.​esstring or null

西班牙语(西班牙)

items[].​name.​frstring or null

法语

items[].​name.​hestring or null

希伯来语

items[].​name.​idstring or null

印度尼西亚语

items[].​name.​itstring or null

意大利语

items[].​name.​jastring or null

日语

items[].​name.​kmstring or null

高棉语

items[].​name.​kostring or null

韩语

items[].​name.​lostring or null

老挝语

items[].​name.​mystring or null

缅甸语

items[].​name.​nestring or null

尼泊尔语

items[].​name.​phstring or null

菲律宾语

items[].​name.​plstring or null

波兰语

items[].​name.​ptstring or null

葡萄牙语

items[].​name.​rostring or null

罗马尼亚语

items[].​name.​rustring or null

俄语

items[].​name.​thstring or null

泰语

items[].​name.​trstring or null

土耳其语

items[].​name.​twstring or null

中文(繁体)

items[].​name.​vistring or null

越南语

items[].​orderinteger(Bundles_order)

列表中的捆绑包顺序优先级。

items[].​periodsArray of objects(item-periods-response)

商品促销时间段。

items[].​periods[].​date_fromstring or null(date-time)

指定商品促销开始的日期。

示例: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

指定商品停止促销的日期。可以为null

示例: "2020-08-11T20:00:00+03:00"
items[].​pricesArray of objects(Bundles_prices)

以真实货币表示的价格。

items[].​prices[].​amountstring(Bundles_amount_without_discount)^\d*\.?\d*$必需

商品价格。

items[].​prices[].​country_isostring or null

适用此价格的国家/地区。符合ISO 3166-1 alpha 2的两字母代码。

示例: "US"
items[].​prices[].​currencystring(Bundles_currency)必需

商品价格货币。每ISO 4217

items[].​prices[].​is_defaultboolean必需

如果未指定用户货币下的价格,则使用默认价格来生成目录。

items[].​prices[].​is_enabledboolean必需

价格已启用。

items[].​regionsArray of objects(Bundles_admin-regions)
items[].​regions[].​idinteger>= 1
示例: 1
items[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

items[].​total_content_priceobject or null(Bundles_total_content_price)

捆绑包内容价格总和。

items[].​total_content_price.​amountstring

折扣后的捆绑包内容价格总和。

示例: "100.99"
items[].​total_content_price.​amount_without_discountstring

捆绑包内容价格总和。

示例: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

商品价格货币。每ISO 4217

items[].​typestring(Bundles_type)

商品类型。

items[].​virtual_pricesArray of objects(Bundles_admin-response-virtual_price)
items[].​virtual_prices[].​amountstring(Bundles_amount)^\d*\.?\d*$

折扣后的商品价格。

items[].​virtual_prices[].​description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

包含本地化商品描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​virtual_prices[].​description.​arstring or null

阿拉伯语

items[].​virtual_prices[].​description.​bgstring or null

保加利亚语

items[].​virtual_prices[].​description.​cnstring or null

中文(简体)

items[].​virtual_prices[].​description.​csstring or null

捷克语

items[].​virtual_prices[].​description.​destring or null

德语

items[].​virtual_prices[].​description.​enstring or null

英语

items[].​virtual_prices[].​description.​esstring or null

西班牙语(西班牙)

items[].​virtual_prices[].​description.​frstring or null

法语

items[].​virtual_prices[].​description.​hestring or null

希伯来语

items[].​virtual_prices[].​description.​idstring or null

印度尼西亚语

items[].​virtual_prices[].​description.​itstring or null

意大利语

items[].​virtual_prices[].​description.​jastring or null

日语

items[].​virtual_prices[].​description.​kmstring or null

高棉语

items[].​virtual_prices[].​description.​kostring or null

韩语

items[].​virtual_prices[].​description.​lostring or null

老挝语

items[].​virtual_prices[].​description.​mystring or null

缅甸语

items[].​virtual_prices[].​description.​nestring or null

尼泊尔语

items[].​virtual_prices[].​description.​phstring or null

菲律宾语

items[].​virtual_prices[].​description.​plstring or null

波兰语

items[].​virtual_prices[].​description.​ptstring or null

葡萄牙语

items[].​virtual_prices[].​description.​rostring or null

罗马尼亚语

items[].​virtual_prices[].​description.​rustring or null

俄语

items[].​virtual_prices[].​description.​thstring or null

泰语

items[].​virtual_prices[].​description.​trstring or null

土耳其语

items[].​virtual_prices[].​description.​twstring or null

中文(繁体)

items[].​virtual_prices[].​description.​vistring or null

越南语

items[].​virtual_prices[].​image_urlstring or null(Bundles_image_url)

图像URL。

items[].​virtual_prices[].​is_defaultboolean(Bundles_currency-is_default)

价格是否为商品的默认价格。

items[].​virtual_prices[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

包含商品本地化名称的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的语言代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

items[].​virtual_prices[].​name.​arstring or null

阿拉伯语

items[].​virtual_prices[].​name.​bgstring or null

保加利亚语

items[].​virtual_prices[].​name.​cnstring or null

中文(简体)

items[].​virtual_prices[].​name.​csstring or null

捷克语

items[].​virtual_prices[].​name.​destring or null

德语

items[].​virtual_prices[].​name.​enstring or null

英语

items[].​virtual_prices[].​name.​esstring or null

西班牙语(西班牙)

items[].​virtual_prices[].​name.​frstring or null

法语

items[].​virtual_prices[].​name.​hestring or null

希伯来语

items[].​virtual_prices[].​name.​idstring or null

印度尼西亚语

items[].​virtual_prices[].​name.​itstring or null

意大利语

items[].​virtual_prices[].​name.​jastring or null

日语

items[].​virtual_prices[].​name.​kmstring or null

高棉语

items[].​virtual_prices[].​name.​kostring or null

韩语

items[].​virtual_prices[].​name.​lostring or null

老挝语

items[].​virtual_prices[].​name.​mystring or null

缅甸语

items[].​virtual_prices[].​name.​nestring or null

尼泊尔语

items[].​virtual_prices[].​name.​phstring or null

菲律宾语

items[].​virtual_prices[].​name.​plstring or null

波兰语

items[].​virtual_prices[].​name.​ptstring or null

葡萄牙语

items[].​virtual_prices[].​name.​rostring or null

罗马尼亚语

items[].​virtual_prices[].​name.​rustring or null

俄语

items[].​virtual_prices[].​name.​thstring or null

泰语

items[].​virtual_prices[].​name.​trstring or null

土耳其语

items[].​virtual_prices[].​name.​twstring or null

中文(繁体)

items[].​virtual_prices[].​name.​vistring or null

越南语

items[].​virtual_prices[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

items[].​virtual_prices[].​typestring(Bundles_vc-type)

虚拟货币类型。

响应
application/json
{ "items": [ {}, {} ] }

删除捆绑包Server-sideAdmin

请求

删除捆绑包。

安全
basicAuth
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
skustring必需

捆绑包SKU。

示例: kg_1
curl -i -X DELETE \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/bundle/sku/kg_1

响应

捆绑已成功删除。

正文
响应
无内容

获取捆绑包Server-sideAdmin

请求

获取项目中的捆绑包以进行管理。

注意

不要使用此端点来构建商店目录。
安全
basicAuth
路径
project_idinteger必需

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

示例: 44056
skustring必需

捆绑包SKU。

示例: kg_1
curl -i -X GET \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/bundle/sku/kg_1

响应

指定的捆绑包已成功接收。

正文application/json
attributesArray of objects(Bundles_admin-attributes)

属性列表。

示例: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$必需

唯一属性ID。 external_id只能包含大小写英文字母和数字字符、破折号和下划线。

示例: "attribute_external_id"
attributes[].​nameobject(admin-attribute-name)

包含本地化属性名称的对象。编码按照ISO 3166-1的规定。

示例: {"de":"Attributname","en":"Attribute name"}
attributes[].​name.​property name*string附加属性
attributes[].​valuesArray of objects(attribute-value)必需
示例: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$必需

属性的唯一值ID。 external_id只能包含小写英文字母和数字字符、破折号和下划线。

示例: "value_external_id"
attributes[].​values[].​valueobject(value-name)必需

包含本地化值名称的对象。编码按照ISO 3166-1的规定。

attributes[].​values[].​value.​property name*string附加属性
bundle_typestring(bundle_type)

捆绑类型。商品类型是捆绑包时返回。

枚举"standard""virtual_currency_package""partner_side_content"
contentArray of objects(Bundles_admin_content_response)
content[].​description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

包含本地化商品描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

content[].​description.​arstring or null

阿拉伯语

content[].​description.​bgstring or null

保加利亚语

content[].​description.​cnstring or null

中文(简体)

content[].​description.​csstring or null

捷克语

content[].​description.​destring or null

德语

content[].​description.​enstring or null

英语

content[].​description.​esstring or null

西班牙语(西班牙)

content[].​description.​frstring or null

法语

content[].​description.​hestring or null

希伯来语

content[].​description.​idstring or null

印度尼西亚语

content[].​description.​itstring or null

意大利语

content[].​description.​jastring or null

日语

content[].​description.​kmstring or null

高棉语

content[].​description.​kostring or null

韩语

content[].​description.​lostring or null

老挝语

content[].​description.​mystring or null

缅甸语

content[].​description.​nestring or null

尼泊尔语

content[].​description.​phstring or null

菲律宾语

content[].​description.​plstring or null

波兰语

content[].​description.​ptstring or null

葡萄牙语

content[].​description.​rostring or null

罗马尼亚语

content[].​description.​rustring or null

俄语

content[].​description.​thstring or null

泰语

content[].​description.​trstring or null

土耳其语

content[].​description.​twstring or null

中文(繁体)

content[].​description.​vistring or null

越南语

content[].​image_urlstring or null(Bundles_image_url)

图像URL。

content[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

包含商品本地化名称的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的语言代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

content[].​name.​arstring or null

阿拉伯语

content[].​name.​bgstring or null

保加利亚语

content[].​name.​cnstring or null

中文(简体)

content[].​name.​csstring or null

捷克语

content[].​name.​destring or null

德语

content[].​name.​enstring or null

英语

content[].​name.​esstring or null

西班牙语(西班牙)

content[].​name.​frstring or null

法语

content[].​name.​hestring or null

希伯来语

content[].​name.​idstring or null

印度尼西亚语

content[].​name.​itstring or null

意大利语

content[].​name.​jastring or null

日语

content[].​name.​kmstring or null

高棉语

content[].​name.​kostring or null

韩语

content[].​name.​lostring or null

老挝语

content[].​name.​mystring or null

缅甸语

content[].​name.​nestring or null

尼泊尔语

content[].​name.​phstring or null

菲律宾语

content[].​name.​plstring or null

波兰语

content[].​name.​ptstring or null

葡萄牙语

content[].​name.​rostring or null

罗马尼亚语

content[].​name.​rustring or null

俄语

content[].​name.​thstring or null

泰语

content[].​name.​trstring or null

土耳其语

content[].​name.​twstring or null

中文(繁体)

content[].​name.​vistring or null

越南语

content[].​quantityinteger>= 1

商品类型在捆绑包中的数量。

默认值 1
content[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

content[].​typestring(Bundles_type)

商品类型。

custom_attributesobject(json)(item-custom-attributes-response)

包含商品属性和值的JSON对象。

description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

包含本地化商品描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

description.​arstring or null

阿拉伯语

description.​bgstring or null

保加利亚语

description.​cnstring or null

中文(简体)

description.​csstring or null

捷克语

description.​destring or null

德语

description.​enstring or null

英语

description.​esstring or null

西班牙语(西班牙)

description.​frstring or null

法语

description.​hestring or null

希伯来语

description.​idstring or null

印度尼西亚语

description.​itstring or null

意大利语

description.​jastring or null

日语

description.​kmstring or null

高棉语

description.​kostring or null

韩语

description.​lostring or null

老挝语

description.​mystring or null

缅甸语

description.​nestring or null

尼泊尔语

description.​phstring or null

菲律宾语

description.​plstring or null

波兰语

description.​ptstring or null

葡萄牙语

description.​rostring or null

罗马尼亚语

description.​rustring or null

俄语

description.​thstring or null

泰语

description.​trstring or null

土耳其语

description.​twstring or null

中文(繁体)

description.​vistring or null

越南语

groupsArray of objects(Bundles_groups_response)

商品所属分组。

groups[].​external_idstring
示例: "horror"
groups[].​nameobject

商品名称。应包含键/值对, 其中键是"^[a-z]{2}"格式的区域设置,值是字符串。

默认值 {"en":"Horror"}
示例: {"de":"Horror","en":"Horror"}
groups[].​name.​property name*string附加属性
image_urlstring or null(Bundles_image_url)

图像URL。

is_enabledboolean(Bundles_is_enabled)

如果禁用,则无法找到和购买该商品。

is_freeboolean(value-is_free)

该商品是否免费。

is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

该商品是否为随机付费奖励,例如宝箱。

is_show_in_storeboolean(Bundles_is_show_in_store)

商品可供购买。

item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

内部唯一物品ID。

limitsobject or null(admin-item-limit-response)

商品限制。

limits.​per_itemobject or null

全局商品限制。

limits.​per_item.​availableinteger

所有用户可购买的剩余商品数量。

limits.​per_item.​reservedinteger
limits.​per_item.​soldinteger
limits.​per_item.​totalinteger

所有用户可购买的最大商品数量。

limits.​per_userobject or null

用于单独用户的商品限制。

limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
枚举"show""hide"
limits.​per_user.​totalinteger

单个用户可购买的最大商品数量。

limits.​recurrent_scheduleobject or null(admin_recurrent_schedule_response)

限制次数刷新周期。

limits.​recurrent_schedule.​per_userinterval_type = daily (object) or interval_type = weekly (object) or interval_type = monthly (object) or interval_type = hourly (object)

用户限制刷新周期。

One of:

每天类型的用户限制次数刷新。

limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

应重置限制次数的日期和时间 (ISO 8601)。

示例: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

第一次限制次数刷新的日期和时间 (ISO 8601)。

示例: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​interval_typestring

循环刷新周期类型。

"daily"
limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

限制次数刷新的日期和时间(Unix时间戳)。

示例: 1677553200
limits.​recurrent_schedule.​per_user.​timestring(full-time)

所需时区的限制次数刷新时间(四舍五入到小时)。

示例: "11:00:00+03:00"
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

包含商品详细本地化描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

long_description.​arstring or null

阿拉伯语

long_description.​bgstring or null

保加利亚语

long_description.​cnstring or null

中文(简体)

long_description.​csstring or null

捷克语

long_description.​destring or null

德语

long_description.​enstring or null

英语

long_description.​esstring or null

西班牙语(西班牙)

long_description.​frstring or null

法语

long_description.​hestring or null

希伯来语

long_description.​idstring or null

印度尼西亚语

long_description.​itstring or null

意大利语

long_description.​jastring or null

日语

long_description.​kmstring or null

高棉语

long_description.​kostring or null

韩语

long_description.​lostring or null

老挝语

long_description.​mystring or null

缅甸语

long_description.​nestring or null

尼泊尔语

long_description.​phstring or null

菲律宾语

long_description.​plstring or null

波兰语

long_description.​ptstring or null

葡萄牙语

long_description.​rostring or null

罗马尼亚语

long_description.​rustring or null

俄语

long_description.​thstring or null

泰语

long_description.​trstring or null

土耳其语

long_description.​twstring or null

中文(繁体)

long_description.​vistring or null

越南语

media_listArray of Bundles_media_list (objects) or null
Any of:

捆绑包的附加资源。

media_list[].​typestring

媒体类型:image/video

枚举"image""video"
示例: "image"
media_list[].​urlstring

资源文件。

示例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

包含商品本地化名称的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的语言代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

name.​arstring or null

阿拉伯语

name.​bgstring or null

保加利亚语

name.​cnstring or null

中文(简体)

name.​csstring or null

捷克语

name.​destring or null

德语

name.​enstring or null

英语

name.​esstring or null

西班牙语(西班牙)

name.​frstring or null

法语

name.​hestring or null

希伯来语

name.​idstring or null

印度尼西亚语

name.​itstring or null

意大利语

name.​jastring or null

日语

name.​kmstring or null

高棉语

name.​kostring or null

韩语

name.​lostring or null

老挝语

name.​mystring or null

缅甸语

name.​nestring or null

尼泊尔语

name.​phstring or null

菲律宾语

name.​plstring or null

波兰语

name.​ptstring or null

葡萄牙语

name.​rostring or null

罗马尼亚语

name.​rustring or null

俄语

name.​thstring or null

泰语

name.​trstring or null

土耳其语

name.​twstring or null

中文(繁体)

name.​vistring or null

越南语

orderinteger(Bundles_order)

列表中的捆绑包顺序优先级。

periodsArray of objects(item-periods-response)

商品促销时间段。

periods[].​date_fromstring or null(date-time)

指定商品促销开始的日期。

示例: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

指定商品停止促销的日期。可以为null

示例: "2020-08-11T20:00:00+03:00"
pricesArray of objects(Bundles_prices)

以真实货币表示的价格。

prices[].​amountstring(Bundles_amount_without_discount)^\d*\.?\d*$必需

商品价格。

prices[].​country_isostring or null

适用此价格的国家/地区。符合ISO 3166-1 alpha 2的两字母代码。

示例: "US"
prices[].​currencystring(Bundles_currency)必需

商品价格货币。每ISO 4217

prices[].​is_defaultboolean必需

如果未指定用户货币下的价格,则使用默认价格来生成目录。

prices[].​is_enabledboolean必需

价格已启用。

regionsArray of objects(Bundles_admin-regions)
regions[].​idinteger>= 1
示例: 1
skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

total_content_priceobject or null(Bundles_total_content_price)

捆绑包内容价格总和。

total_content_price.​amountstring

折扣后的捆绑包内容价格总和。

示例: "100.99"
total_content_price.​amount_without_discountstring

捆绑包内容价格总和。

示例: "100.99"
total_content_price.​currencystring(Bundles_currency)

商品价格货币。每ISO 4217

typestring(Bundles_type)

商品类型。

virtual_pricesArray of objects(Bundles_admin-response-virtual_price)
virtual_prices[].​amountstring(Bundles_amount)^\d*\.?\d*$

折扣后的商品价格。

virtual_prices[].​description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

包含本地化商品描述的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的区域设置代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

virtual_prices[].​description.​arstring or null

阿拉伯语

virtual_prices[].​description.​bgstring or null

保加利亚语

virtual_prices[].​description.​cnstring or null

中文(简体)

virtual_prices[].​description.​csstring or null

捷克语

virtual_prices[].​description.​destring or null

德语

virtual_prices[].​description.​enstring or null

英语

virtual_prices[].​description.​esstring or null

西班牙语(西班牙)

virtual_prices[].​description.​frstring or null

法语

virtual_prices[].​description.​hestring or null

希伯来语

virtual_prices[].​description.​idstring or null

印度尼西亚语

virtual_prices[].​description.​itstring or null

意大利语

virtual_prices[].​description.​jastring or null

日语

virtual_prices[].​description.​kmstring or null

高棉语

virtual_prices[].​description.​kostring or null

韩语

virtual_prices[].​description.​lostring or null

老挝语

virtual_prices[].​description.​mystring or null

缅甸语

virtual_prices[].​description.​nestring or null

尼泊尔语

virtual_prices[].​description.​phstring or null

菲律宾语

virtual_prices[].​description.​plstring or null

波兰语

virtual_prices[].​description.​ptstring or null

葡萄牙语

virtual_prices[].​description.​rostring or null

罗马尼亚语

virtual_prices[].​description.​rustring or null

俄语

virtual_prices[].​description.​thstring or null

泰语

virtual_prices[].​description.​trstring or null

土耳其语

virtual_prices[].​description.​twstring or null

中文(繁体)

virtual_prices[].​description.​vistring or null

越南语

virtual_prices[].​image_urlstring or null(Bundles_image_url)

图像URL。

virtual_prices[].​is_defaultboolean(Bundles_currency-is_default)

价格是否为商品的默认价格。

virtual_prices[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

包含商品本地化名称的对象。值接受以下两种格式之一:两个小写字母的语言代码(例如,en)或五个字符的语言代码(例如,en-US)。虽然两种格式都可作为输入接受,但响应会返回两个小写字母的语言代码。当为同一种语言提供了两种输入时(例如:enen-US),将存储最后提供的值。您可以在文档中找到支持语言的完整列表。

Any of:

两个小写字母的语言代码。

virtual_prices[].​name.​arstring or null

阿拉伯语

virtual_prices[].​name.​bgstring or null

保加利亚语

virtual_prices[].​name.​cnstring or null

中文(简体)

virtual_prices[].​name.​csstring or null

捷克语

virtual_prices[].​name.​destring or null

德语

virtual_prices[].​name.​enstring or null

英语

virtual_prices[].​name.​esstring or null

西班牙语(西班牙)

virtual_prices[].​name.​frstring or null

法语

virtual_prices[].​name.​hestring or null

希伯来语

virtual_prices[].​name.​idstring or null

印度尼西亚语

virtual_prices[].​name.​itstring or null

意大利语

virtual_prices[].​name.​jastring or null

日语

virtual_prices[].​name.​kmstring or null

高棉语

virtual_prices[].​name.​kostring or null

韩语

virtual_prices[].​name.​lostring or null

老挝语

virtual_prices[].​name.​mystring or null

缅甸语

virtual_prices[].​name.​nestring or null

尼泊尔语

virtual_prices[].​name.​phstring or null

菲律宾语

virtual_prices[].​name.​plstring or null

波兰语

virtual_prices[].​name.​ptstring or null

葡萄牙语

virtual_prices[].​name.​rostring or null

罗马尼亚语

virtual_prices[].​name.​rustring or null

俄语

virtual_prices[].​name.​thstring or null

泰语

virtual_prices[].​name.​trstring or null

土耳其语

virtual_prices[].​name.​twstring or null

中文(繁体)

virtual_prices[].​name.​vistring or null

越南语

virtual_prices[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

唯一商品ID。 SKU只能包含大小写英文字母和数字字符、句点、破折号和下划线。

virtual_prices[].​typestring(Bundles_vc-type)

虚拟货币类型。

响应
application/json
{ "attributes": [], "bundle_type": "standard", "content": [ {}, {}, {} ], "custom_attributes": { "purchased": 0, "type": "lootbox" }, "description": { "en": "Empire bundle with items" }, "groups": [ {} ], "image_url": "https://cdn.xsolla.net/img/misc/images/685b21f9d9dca4aa0c953e8816b4eb4b.png", "is_enabled": true, "is_free": false, "is_paid_randomized_reward": true, "is_show_in_store": true, "item_id": 610316, "limits": { "per_item": null, "per_user": {}, "recurrent_schedule": null }, "long_description": { "en": "Empire bundle with some goods" }, "media_list": [], "name": { "en": "Empire bundle" }, "order": 1, "periods": [ {} ], "prices": [], "regions": [], "sku": "com.xsolla.EmpireBundle_1", "type": "bundle", "virtual_prices": [ {} ] }
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作
操作

目录

本API允许获取任意类型的可售商品或指定商品。

操作
操作
操作
操作
操作